<?php
/**
 * Helper functions
 *
 * @package     RCP\ConvertKit\Functions
 * @since       1.0.0
 */


// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Check if we should show the subscription field
 *
 * @since       1.0.0
 * @param       int $level A specific level to check
 * @return      bool $show True to show, false otherwise
 */
function rcp_convertkit_show_checkbox() {
	$settings = get_option( 'rcp_convertkit_settings' );
	$lists    = get_option( 'rcp_convertkit_subscription_lists' );
	$show     = false;

	if( ! empty( $settings['api_key'] ) ) {
		if( ! empty( $settings['saved_list'] ) ) {
			$show = true;
		}

		if( is_array( $lists ) ) {
			$show = true;
		}
	}

	return $show;
}