<?php
/**
 * Load Scripts
 *
 * @package   rcp
 * @copyright Copyright (c) 2018, Restrict Content Pro team
 * @license   GPL2+
 * @since     1.1.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Load admin scripts
 *
 * @param string $hook Current page hook.
 *
 * @since 1.1.1
 * @return void
 */
function rcp_convertkit_admin_scripts( $hook ) {

	if ( 'restrict_page_rcp-convertkit' != $hook ) {
		return;
	}

	wp_enqueue_script( 'rcp-convertkit', RCP_CONVERTKIT_URL . 'includes/js/admin-scripts.js', array( 'jquery' ), RCP_CONVERTKIT_VER, true );

	wp_localize_script( 'rcp-convertkit', 'rcp_convertkit_vars', array(
		'nonce' => wp_create_nonce( 'rcp_convertkit_nonce' )
	) );

}

add_action( 'admin_enqueue_scripts', 'rcp_convertkit_admin_scripts' );