/**
 * Restrict Content Pro - Drip Content Settings Controls
 */


// @todo clean this up now that it's been refactored


function RCP_Drip_Settings_Controls() {

	var vars = {};

	this.init = function(row = 0) {
		vars.row                = row;
		vars.drip_type          = jQuery('.rcp-drip-type-control');
		vars.taxonomy           = jQuery('.rcp-drip-taxonomy-control');
		vars.taxonomy_terms     = jQuery('.rcp-drip-taxonomy-terms-control');
		vars.post_type          = jQuery('.rcp-drip-post-type-control');
		vars.post_id            = jQuery('.rcp-drip-post-type-matches-control');
		vars.drip_unit          = jQuery('.rcp-drip-unit-control');
		vars.drip_duration_unit = jQuery('.rcp-drip-unit-duration-control');
		vars.edit_form          = jQuery('#rcp-edit-subscription');
		vars.allowed_drip_types = ['taxonomy', 'post', 'none'];
	}

	this.vars = function() {
		if (vars.length > 0) {
			return vars;
		}
		this.init();
		return vars;
	}

	this.prepare = function(type, row = 0) {
		if (jQuery.inArray(type, vars.allowed_drip_types) === -1) {
			return;
		}

		if ( 'none' === type ) {
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-control').hide();
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-terms-control').hide();

			jQuery(row).parent().parent().find('.rcp-drip-post-type-control').hide();
			jQuery(row).parent().parent().find('.rcp-drip-post-type-matches-control').hide();

			jQuery(row).parent().parent().find('.rcp-drip-unit-control').hide();
			jQuery(row).parent().parent().find('.rcp-drip-unit-duration-control').hide();
		}

		if ('taxonomy' === type) {
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-control').show();
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-terms-control').show();

			jQuery(row).parent().parent().find('.rcp-drip-post-type-control').hide();
			jQuery(row).parent().parent().find('.rcp-drip-post-type-matches-control').hide();

			jQuery(row).parent().parent().find('.rcp-drip-unit-control').show();
			jQuery(row).parent().parent().find('.rcp-drip-unit-duration-control').show();
		}

		if ('post' === type) {
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-control').hide();
			jQuery(row).parent().parent().find('.rcp-drip-taxonomy-terms-control').hide();

			jQuery(row).parent().parent().find('.rcp-drip-post-type-control').show();
			jQuery(row).parent().parent().find('.rcp-drip-post-type-matches-control').show();

			jQuery(row).parent().parent().find('.rcp-drip-unit-control').show();
			jQuery(row).parent().parent().find('.rcp-drip-unit-duration-control').show();
		}
	}
}

/**
 * Do things when twisting the knobs and flipping the switches
 */
(function($) {
	$(document).ready( function() {
		var controls = new RCP_Drip_Settings_Controls();
		var control = controls.vars();

		// Prepare the form elements for the selected drip type
		$('.rcp-drip-type-control').on('change', function(event) {
			var type = $(this).val();
			controls.prepare(type, event.target);
		});

		// Get the taxonomy terms of the selected taxonomy
		control.taxonomy.on('change', function() {
			var $this = $(this);
			var $thisID = $(this).prop('id');
			console.log($thisID);
			$.ajax({
				data: {
					action: 'rcp_drip_content_get_taxonomy_terms',
					taxonomy: $(this).val()
				},
				type: "POST",
				dataType: "json",
				url: ajaxurl,
				success: function(response) {
					$this.parent().parent().find('.rcp-drip-taxonomy-terms-control').html(response.options);
				},
				error: function(response) {
					console.log(response);
				}
			});

			$this.parent().parent().find('.rcp-drip-taxonomy-terms-control').show();

		});

		// Get the posts of the selected content type
		$('.rcp-drip-post-type-control').on('change', function() {
			var $this = $(this);
			var $thisID = $(this).prop('id');
			console.log($thisID);
			$.ajax({
				data: {
					action: 'rcp_drip_content_get_posts',
					'rcp-post-type': $(this).val()
				},
				type: "POST",
				dataType: "json",
				url: ajaxurl,
				success: function(response) {
					$this.parent().parent().find('.rcp-drip-post-type-matches-control').html(response.options);
				},
				error: function(response) {
					console.log(response);
				}
			});

			$this.parent().parent().find('.rcp-drip-post-type-matches-control').show();
		});


		// Add schedule row
		$('.rcp-drip-schedule-add').on('click', function(e) {
			e.preventDefault();

			var row      = $('.rcp-drip-schedule-row:last');
			var clone    = row.clone(true);
			var count    = $('.rcp-drip-schedule-row').length + 1;
			var data_key = $(this).data('key') + parseInt(count);

			clone.find('td input, td select').not('.rcp-drip-schedule-add, .rcp-drip-schedule-remove').val( '' );
			clone.find('input, select').each(function() {
				var name = $(this).attr('name');

				name = name.replace( /\[(\d+)\]/, '[' + parseInt(count) + ']');

				$(this).attr('name', name).attr('id', name);
			});
			clone.insertAfter( row );
		});

		// Remove schedule row
		$('.rcp-drip-schedule-remove').on('click', function(e) {
			e.preventDefault();

			if ($('.rcp-drip-schedule-row').length > 1) {
				$(this).parents('.rcp-drip-schedule-row').remove();
			} else {
				$(this).parents('.rcp-drip-schedule-row').find('td input, td select').not('.rcp-drip-schedule-add, .rcp-drip-schedule-remove').val( '' );
			}
		});
	});
})(jQuery);