<?php
/**
 * PHPUnit Bootstrap
 *
 * @package   rcp-group-accounts
 * @copyright Copyright (c) 2020, Sandhills Development, LLC
 * @license   GPL2+
 */

$_tests_dir = getenv( 'WP_TESTS_DIR' );
if ( ! $_tests_dir ) $_tests_dir = '/tmp/wordpress-tests-lib';

require_once $_tests_dir . '/includes/functions.php';

/**
 * Manually load RCP and RCP Group Accounts
 */
function _manually_load_plugin() {
	require __DIR__ . '/../../restrict-content-pro/restrict-content-pro.php';
	require __DIR__ . '/../rcp-group-accounts.php';
}


tests_add_filter( 'muplugins_loaded', '_manually_load_plugin' );

tests_add_filter( 'rcp_show_deprecated_notices', '__return_false' );
tests_add_filter( 'rcp_show_backtrace', '__return_false' );

require $_tests_dir . '/includes/bootstrap.php';

echo "Installing Restrict Content Pro...\n";
activate_plugin( 'restrict-content-pro/restrict-content-pro.php' );
rcp_options_install();

echo "Installing Group Accounts...\n";
activate_plugin( 'rcp-group-accounts/rcp-group-accounts.php' );

/**
 * Install database tables.
 */
if ( rcpga_group_accounts()->table_groups->exists() ) {
	rcpga_group_accounts()->table_groups->uninstall();
}
rcpga_group_accounts()->table_groups->install();

if ( rcpga_group_accounts()->table_group_members->exists() ) {
	rcpga_group_accounts()->table_group_members->uninstall();
}
rcpga_group_accounts()->table_group_members->install();

/**
 * Include helpers.
 */
require_once __DIR__ . '/../../restrict-content-pro/tests/phpunit/factory.php';
require_once __DIR__ . '/../../restrict-content-pro/tests/phpunit/class-unittestcase.php';
require_once 'phpunit/class-unittestcase.php';
require_once 'phpunit/factory.php';