<?php
/**
 * Base Unit Test Case
 *
 * @package   rcp-group-accounts
 * @copyright Copyright (c) 2020, Sandhills Development, LLC
 * @license   GPL2+
 */

namespace RCPGA\Tests;

/**
 * Class UnitTestCase
 *
 * @package RCPGA\Tests
 */
class UnitTestCase extends \RCP\Tests\UnitTestCase {

	/**
	 * Get the factory
	 *
	 * @return Factory
	 */
	protected static function rcpga() {
		static $factory = null;

		if ( ! $factory ) {
			$factory = new Factory();
		}

		return $factory;
	}

	/**
	 * Delete Group Accounts table data after each class.
	 */
	public static function tearDownAfterClass() {
		self::deleteGroupAccountsData();

		return parent::tearDownAfterClass();
	}

	/**
	 * Truncate all Group Accounts database tables
	 */
	protected static function deleteGroupAccountsData() {

		$tables = array(
			rcpga_group_accounts()->table_groups,
			rcpga_group_accounts()->table_group_members
		);

		foreach ( $tables as $table ) {
			/**
			 * @var \RCP\Database\Table $table
			 */
			if ( method_exists( $table, 'truncate' ) ) {
				$table->truncate();
			}
		}

	}

}