<?php
/**
 * Help Scout Customer
 *
 * Registers the customer endpoint
 *
 * @package   rcp-help-scout
 * @copyright Copyright (c) 2019, Restrict Content Pro team
 * @license   GPL2+
 * @since     1.0
 */

/**
 * Class PW_RCP_Help_Scout_Customer
 *
 * @since 1.0
 */
class PW_RCP_Help_Scout_Customer {

	/**
	 * PW_RCP_Help_Scout_Customer constructor.
	 *
	 * @since 1.0
	 */
	public function __construct() {
		include RCP_HELPSCOUT_PLUGIN_DIR . 'includes/class-rcp-help-scout-plugin.php';

		add_action( 'init', array( $this, 'add_rewrite_endpoints' ) );
		add_action( 'template_redirect', array( $this, 'template_redirect' ) );
	}

	/**
	 * Add rewrite endpoint
	 *
	 * @since 1.0
	 */
	public function add_rewrite_endpoints() {
		add_rewrite_endpoint( 'member', EP_PERMALINK | EP_PAGES );
	}

	/**
	 * Handle the response output
	 *
	 * @since 1.0
	 */
	public function template_redirect() {
		global $wp_query;

		if ( isset( $wp_query->query_vars[ 'member' ] ) ) {
			$plugin = new PW_RCP_Help_Scout_Plugin_Handler();

			echo json_encode( $plugin->getResponse() );

			exit();
		}
	}

}
new PW_RCP_Help_Scout_Customer;