<?php
/**
 * PHPUnit Bootstrap
 *
 * @package   rcp-ip-restriction
 * @copyright Copyright (c) 2020, Sandhills Development, LLC
 * @license   GPL2+
 */

$_tests_dir = getenv( 'WP_TESTS_DIR' );
if ( ! $_tests_dir ) $_tests_dir = '/tmp/wordpress-tests-lib';

require_once $_tests_dir . '/includes/functions.php';

/**
 * Manually load RCP & RCP IP Restriction
 */
function _manually_load_plugin() {
	require __DIR__ . '/../../restrict-content-pro/restrict-content-pro.php';
	require __DIR__ . '/../rcp-ip-restriction.php';
}

tests_add_filter( 'muplugins_loaded', '_manually_load_plugin' );

tests_add_filter( 'rcp_show_deprecated_notices', '__return_false' );
tests_add_filter( 'rcp_show_backtrace', '__return_false' );

require $_tests_dir . '/includes/bootstrap.php';

echo "Installing Restrict Content Pro...\n";
activate_plugin( 'restrict-content-pro/restrict-content-pro.php' );
rcp_options_install();

echo "Installing IP Restriction...\n";
activate_plugin( 'rcp-ip-restriction/rcp-ip-restriction.php' );

require_once __DIR__ . '/phpunit/class-unittestcase.php';
