<?php
/**
 * Base Unit Test Case
 *
 * @package   rcp-ip-restriction
 * @copyright Copyright (c) 2020, Sandhills Development, LLC
 * @license   GPL2+
 */

namespace RCP_IP_Restriction\Tests;

/**
 * Class UnitTestCase
 *
 * @package RCP_IP_Restriction\Tests
 */
class UnitTestCase extends \WP_UnitTestCase {

	/**
	 * @var \WP_Post Post object to test permissions & IP matching.
	 */
	protected static $post;

	/**
	 * @var string IP address to spoof.
	 */
	protected static $ip = '';

	/**
	 * Set up once before tests are run
	 */
	public static function setUpBeforeClass() {
		parent::setUpBeforeClass();

		self::$post = self::factory()->post->create_and_get();

		add_filter( 'rcp_get_ip', array( __CLASS__, 'filter_ip' ) );
	}

	/**
	 * Function to hook into `rcp_get_ip` filter.
	 *
	 * @param string $ip
	 *
	 * @return string
	 */
	public static function filter_ip( $ip ) {
		return ! empty( self::$ip ) ? self::$ip : $ip;
	}

}
