/*global jQuery, document, console, rcp_site_creation_vars*/
/*jslint newcap: true*/
jQuery(document).ready(function ($) {
    'use strict';

    $('.rcp_level').change(function () {
        if (rcp_site_creation_vars.allowed.hasOwnProperty($('.rcp_level:checked').val())
        || rcp_site_creation_vars.allowed.hasOwnProperty($('input[name="rcp_level"]:checked').val())
        || rcp_site_creation_vars.allowed.hasOwnProperty($('input[name="rcp_level"]:hidden').val())) {
            $('#rcp_site_creation_url_wrap').show();
            $('#rcp_site_creation_name_wrap').show();

            if (rcp_site_creation_vars.show_desc) {
                $('#rcp_site_creation_desc_wrap').show();
            }
        } else {
            $('#rcp_site_creation_url_wrap').hide();
            $('#rcp_site_creation_name_wrap').hide();

            if (rcp_site_creation_vars.show_desc) {
                $('#rcp_site_creation_desc_wrap').hide();
            }
        }
    }).change();

    $('#rcp_site_creation_url').keyup( rcpsc_debounce( function() {
        if ($('#rcp_site_creation_url').val().length > 0) {
            //var subdomain;

            $('.rcp_site_creation_url_preview_wrap').css('display', 'block');

            var postData = {
                action : 'rcp_site_creator_preview_site_url',
                subdomain: $('#rcp_site_creation_url').val().toLowerCase(),
                scheme: $('#rcp_site_creation_url_scheme').val()
            };

            $.ajax({
                type: 'POST',
                data: postData,
                url: rcp_site_creation_vars.ajaxurl,
                success: function (response) {
                    $('.rcp_site_creation_url_preview_subdomain').text(response);
                }
            }).fail(function (data) {
                if ( window.console && window.console.log ) {
                    console.log( data );
                }
            });

            //subdomain = $('#rcp_site_creation_url').val().trim().replace('/(<([^>]+)>)/ig', '', subdomain);
            //subdomain = subdomain.replace('/[^A-Za-z0-9 ]/', ' ', subdomain).replace('/ +/', ' ', subdomain).replace(' ', '-', subdomain);
            //subdomain = encodeURIComponent(subdomain);
            //$('.rcp_site_creation_url_preview_subdomain').text(subdomain);
        } else {
            $('.rcp_site_creation_url_preview_wrap').css('display', 'none');
        }
    }, 500 ));
});

/**
 * Debounce function.
 *
 * @link https://davidwalsh.name/javascript-debounce-function
 *
 * @param func      The function to debounce.
 * @param wait      Time to wait in milliseconds.
 * @param immediate If true, trigger the function on the leading edge, instead of the trailing.
 *
 * @returns {Function}
 */
function rcpsc_debounce(func, wait, immediate) {
    var timeout;
    return function() {
        var context = this, args = arguments;
        var later = function() {
            timeout = null;
            if (!immediate) func.apply(context, args);
        };
        var callNow = immediate && !timeout;
        clearTimeout(timeout);
        timeout = setTimeout(later, wait);
        if (callNow) func.apply(context, args);
    };
}