<?php
/**
 * Scripts
 *
 * @package     RCP\Site_Creation\Scripts
 * @since       1.0.0
 */


// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Load scripts
 *
 * @since       1.0.0
 * @return      void
 */
function rcp_site_creation_load_scripts() {
	$settings = get_option( 'rcp_site_creation_settings' );

	wp_enqueue_style( 'rcp-site-creation', RCP_SITE_CREATION_URL . 'assets/css/site-creation.css', array(), RCP_SITE_CREATION_VER );
	wp_enqueue_script( 'rcp-site-creation', RCP_SITE_CREATION_URL . 'assets/js/site-creation.js', array( 'jquery' ), RCP_SITE_CREATION_VER );
	wp_localize_script( 'rcp-site-creation', 'rcp_site_creation_vars', array(
		'allowed'   => get_option( 'rcp_site_creation_subscription_allow_site_creation' ),
		'show_desc' => ! empty( $settings['desc_field_show'] ) ? $settings['desc_field_show'] : false,
		'ajaxurl'   => rcp_site_creation_get_ajax_url()
	) );
}
add_action( 'wp_enqueue_scripts', 'rcp_site_creation_load_scripts' );


/**
 * Load admin scripts
 *
 * @param string $hook Current page hook.
 *
 * @since       1.0.0
 * @return      void
 */
function rcp_site_creation_load_admin_scripts( $hook ) {
	global $rcp_subscriptions_page;

	$pages = array(
		'restrict_page_rcp-site-creation',
		$rcp_subscriptions_page
	);

	if ( in_array( $hook, $pages ) ) {
		wp_enqueue_script( 'rcp-site-creation', RCP_SITE_CREATION_URL . 'assets/js/admin.js', array( 'jquery' ), RCP_SITE_CREATION_VER );
	}
}
add_action( 'admin_enqueue_scripts', 'rcp_site_creation_load_admin_scripts' );
