jQuery(document).ready(function ($) {

  var restriction_control = $('#rcp-restrict-by')
  var member_type_control = $('#rcp-metabox-field-member-types')
  var group_control = $('#rcp-metabox-field-groups')
  var role_control = $('#rcp-metabox-field-role')
  var vis_toggle_control = $('#rcpbp-bp-vis-rd-toggle')
  var comp_toggle_control = $('#rcpbp-components-toggle')
  var page_control = $('.rcpbp_bp_vis_rd_page')
  var comp_control = $('#rcpbp-components')

  var Settings_Controls = {
    prepare_type: function (type) {
      if ('unrestricted' === type) {
        group_control.hide()
        member_type_control.hide()
      }

      if ('registered-users' === type) {
        group_control.show()
        member_type_control.show()
      }

      if ('subscription-level' === type) {
        group_control.show()
        member_type_control.show()
      }

      if ('access-level' === type) {
        group_control.show()
        member_type_control.show()
      }
    },
  }

  var restriction_type = restriction_control.val()
  Settings_Controls.prepare_type(restriction_type)

  // restrict content metabox
  restriction_control.on('change', function () {
    var type = $(this).val()
    Settings_Controls.prepare_type(type)
  })

  group_control.insertAfter(role_control)
  member_type_control.insertAfter(role_control)

  // visibility conditional settings fields
  if (vis_toggle_control.length) {
    if (!vis_toggle_control[0].checked) {
      page_control.hide()
    }

    vis_toggle_control.on('change', function () {
      page_control.toggle(this.checked)
    })
  }

  // components conditional settings fields
  if (comp_toggle_control.length) {
    if (!comp_toggle_control[0].checked) {
      comp_control.hide()
    }

    comp_toggle_control.on('change', function () {
      comp_control.toggle(this.checked)
    })
  }

  // Hide extra empty settings row
  $('.rcpbp-public-components').hide();

})